Method: networks.childPublishers.batchUpdate

Batch updates ChildPublisher objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where ChildPublishers will be updated. Format: networks/{networkCode} The parent field in the UpdateChildPublisherRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateChildPublisherRequest)
    }
  ]
}
Fields
requests[]

object (UpdateChildPublisherRequest)

Required. The ChildPublisher objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for [childPublishers.batchUpdate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "childPublishers": [
    {
      object (ChildPublisher)
    }
  ]
}
Fields
childPublishers[]

object (ChildPublisher)

The ChildPublisher objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateChildPublisherRequest

Request object for [childPublishers.patch][] method.

JSON representation
{
  "childPublisher": {
    object (ChildPublisher)
  },
  "updateMask": string
}
Fields
childPublisher

object (ChildPublisher)

Required. The ChildPublisher to update.

The ChildPublisher's name is used to identify the ChildPublisher to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".